sbosnap(1)

NAME

sbosnap - slackbuilds.org tree fetch and update command.

SYNAPSES

sbosnap [-h|-v] (fetch|update)

DESCRIPTION

sbosnap is used to download and update a local copy of the slackbuilds.org tree, minus the .tar.gz{,.asc} files. Note that sbocheck(1) will also update the tree, and will then also check for updated slackbuilds. rsync is used for both operations.

OPTIONS

-h|--help
    Show help information.

-v|--version
    Show version information.

COMMANDS

fetch
    Download a local copy of the slackbuilds.org tree. The copy will be downloaded to the SBO_HOME setting (see sboconfig(1) and sbotools.conf(5)), which, by default, is /usr/sbo

update
    Update a previously fetch'd copy of the slackbuilds.org tree.

EXIT CODES

sbosnap can exit with the following codes:
    0: all operations completed successfully.
    1: a usage error occurred, such as running sbosnap with no command.

BUGS

None known, but there may be some. Please report any found to https://github.com/pink-mist/sbotools/issues ; patches are always welcome.

SEE ALSO

sbocheck(1), sboclean(1), sboconfig(1), sbofind(1), sboinstall(1), sboremove(1), sboupgrade(1), sbotools.conf(5)

AUTHORS

Jacob Pipkin <j@dawnrazor.net>

Luke Williams <xocel@iquidus.org>

Andreas Guldstrand <andreas.guldstrand@gmail.com>